Support » Plugin: Loco Translate » Error: Invalid PO header

  • Resolved idichoo

    (@idichoo)


    Hi,

    When i tried to do my own translation it display this Error: Invalid PO header,

    Can you help me?

    I have no problem with other plugin except this plugin.

Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Author Tim W

    (@timwhitlock)

    If Loco claims the PO file is invalid then perhaps it is. If you post the contents of the offending PO file, I may be able to tell you what the problem is.

    Thread Starter idichoo

    (@idichoo)

    sorry,
    i dont really understand. How do i post the content?

    I am using GD bbPress Attachments plugin using Lcoc to translate.

    Plugin Author Tim W

    (@timwhitlock)

    The GD bbPress Attachments plugin ships with an invalid POT (template) file. It has no header – hence the error you get using Loco Translate.

    You should notify the plugin author of this. Ask them nicely to add a properly formed POT file in their next release.

    I’m marking as resolved as this is not a fault in Loco Translate.

    Plugin Author Tim W

    (@timwhitlock)

    Further to this. The current development version 2.0.6-dev has a fix that allows permits POT files. The file info tab will show a warning, but it should not affect functionality in your case.

    Thread Starter idichoo

    (@idichoo)

    well… thanks alot.. I will check with author of GD bbPress Attachments files now..

    Thread Starter idichoo

    (@idichoo)

    Further to this. The current development version 2.0.6-dev has a fix that allows permits POT files. The file info tab will show a warning, but it should not affect functionality in your case.

    I am also dont really understand the above.

    I am still waiting for the author reply.Meanwhile, can i do something like create a pot file on my own so i do not need rely on the author.

    Plugin Author Tim W

    (@timwhitlock)

    Sorry, I wrote that badly. What I meant was I’ve deployed a fix that tolerates files with missing or invalid headers.

    Upgrade to 2.0.7 to get the latest version. With this fix you may not need help from the author. (unless you run into new problems).

    Obviously it’s preferable that authors provide well formed files, but as I say – you should be able to proceed.

    Thread Starter idichoo

    (@idichoo)

    Hi,

    It is works for everything perfectly except, ‘choose file button and ‘no choosen file’ cannot be found due in the list therefore cannot be translated. Do you have any idea why wrong, btw sorry to keep in you trouble.

    I mean you have helping me, many thanks.

    Plugin Author Tim W

    (@timwhitlock)

    If the string you want is not in the file, then either:

    * it’s not translatable at all, or
    * the code displaying the string has an error, or
    * the file is not up to date with its source.

    Loco can’t do anything about any of these problems. You should ask the author how that specific string should be translated.

    Thread Starter idichoo

    (@idichoo)

    sure, many thanks great job

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘Error: Invalid PO header’ is closed to new replies.